15.5 legacy app

Use only if you are unable to update 3CX Server to Version 16
For use with Version 15.5 only
Can work on Android 6,7,8
Will have problems on Android 9
Does not work on Android 10

The proper app you should use is this:
https://play.google.com/store/apps/details?id=com.tcx.sipphone14
Read more
Collapse
4.0
10 total
5
4
3
2
1
Loading...

What's New

For use with Phone System Version 15.5
If you have older version of Android and up
Read more
Collapse

Additional Information

Updated
October 4, 2019
Size
3.5M
Installs
5,000+
Current Version
16.0.0
Requires Android
5.0 and up
Content Rating
Everyone
Interactive Elements
Users Interact
Permissions
Offered By
3CX
©2019 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.